import os
from setuptools import find_packages, setup

with open(os.path.join(os.path.dirname(__file__), 'README.md')) as readme:
    README = readme.read()

# allow setup.py to be run from any path
os.chdir(os.path.normpath(os.path.join(os.path.abspath(__file__), os.pardir)))

setup(
    name='GeoffreyApp',
    version='2.0',
    packages=find_packages(),
    include_package_data=True,
    license='MIT License',
    description='Geoffrey: The Minecraft Information Database',
    long_description=README,
    url='https:/geoffrey.zerohighdef.com/',
    author='ZeroHD',
    author_email='zero@zerohighdef.com',
    install_requires=['django', 'requests', 'simplejson']
)
